Package org.globus.ftp.exception

# Class FTPReplyParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.ftp.exception.FTPException
org.globus.ftp.exception.FTPReplyParseException

All Implemented Interfaces:
  `Serializable`

public class FTPReplyParseException extends FTPException
Indicates that the reply received from server failed to parse.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FIRST_3_CHARS`
`static final int`
`MESSAGE_UNPARSABLE`
`static final int`
`STRING_TOO_SHORT`
`static final int`
`UNEXPECTED_4TH_CHAR`

### Fields inherited from class org.globus.ftp.exception.FTPException

`cause, code, customMessage, UNSPECIFIED`

## Constructor Summary

Constructors
Constructor
Description
`FTPReplyParseException(int code)`
`FTPReplyParseException(int code, String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCodeExplanation(int code)`

### Methods inherited from class org.globus.ftp.exception.FTPException

`getCode, getCustomMessage, getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace, setCode, setCustomMessage, setRootCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### STRING_TOO_SHORT

public static final int STRING_TOO_SHORT

See Also:
  - Constant Field Values

### FIRST_3_CHARS

public static final int FIRST_3_CHARS

See Also:
  - Constant Field Values

### UNEXPECTED_4TH_CHAR

public static final int UNEXPECTED_4TH_CHAR

See Also:
  - Constant Field Values

### MESSAGE_UNPARSABLE

public static final int MESSAGE_UNPARSABLE

See Also:
  - Constant Field Values

## Constructor Details

### FTPReplyParseException

public FTPReplyParseException(int code)

### FTPReplyParseException

public FTPReplyParseException(int code, String message)

## Method Details

### getCodeExplanation

public String getCodeExplanation(int code)

Overrides:
  `getCodeExplanation` in class `FTPException`